package com.hotent.project.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hotent.base.entity.BaseModel;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.time.LocalDate;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonProperty;
/**
 * 任务定制-流程表
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-10-09
 */
@ApiModel(value="CostProjectTaskProccess对象", description="任务定制-流程表")
public class CostProjectTaskProccess extends BaseModel<CostProjectTaskProccess> {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "主键ID")
    @TableId(value = "process_id", type = IdType.ASSIGN_ID)
    @JsonProperty("processId")
    private String processId;
    
    @ApiModelProperty(value = "项目ID")
    @TableField("project_id")
    @JsonProperty("projectId")
    private String projectId;
    
    @ApiModelProperty(value = "预定的监审工作起止时间（开始）")
    @TableField("planned_audit_start_date")
    @JsonProperty("plannedAuditStartDate")
    private LocalDate plannedAuditStartDate;
    
    @ApiModelProperty(value = "预定的监审工作起止时间（结束）")
    @TableField("planned_audit_end_date")
    @JsonProperty("plannedAuditEndDate")
    private LocalDate plannedAuditEndDate;
    
    @ApiModelProperty(value = "状态：100-未开始，200-进行中，300-已完成，400-已中止")
    @TableField("status")
    @JsonProperty("status")
    private Integer status;
    
    @ApiModelProperty(value = "当前节点")
    @TableField("current_node")
    @JsonProperty("currentNode")
    private String currentNode;
    
    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    @JsonProperty("createTime")
    private LocalDateTime createTime;
    
    @ApiModelProperty(value = "创建人")
    @TableField("create_by")
    @JsonProperty("createBy")
    private String createBy;
    
    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    @JsonProperty("updateTime")
    private LocalDateTime updateTime;
    
    @ApiModelProperty(value = "更新人")
    @TableField("update_by")
    @JsonProperty("updateBy")
    private String updateBy;
    
    @ApiModelProperty(value = "模板id")
    @TableField("proccess_templete_id")
    @JsonProperty("proccessTempleteId")
    private String proccessTempleteId;
    
    @ApiModelProperty(value = "任务id")
    @TableField("task_id")
    @JsonProperty("taskId")
    private String taskId;
    

    public String getProcessId() {
        return processId;
    }

    public void setProcessId(String processId) {
        this.processId = processId;
    }
    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public LocalDate getPlannedAuditStartDate() {
        return plannedAuditStartDate;
    }

    public void setPlannedAuditStartDate(LocalDate plannedAuditStartDate) {
        this.plannedAuditStartDate = plannedAuditStartDate;
    }

    public LocalDate getPlannedAuditEndDate() {
        return plannedAuditEndDate;
    }

    public void setPlannedAuditEndDate(LocalDate plannedAuditEndDate) {
        this.plannedAuditEndDate = plannedAuditEndDate;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
    public String getCurrentNode() {
        return currentNode;
    }

    public void setCurrentNode(String currentNode) {
        this.currentNode = currentNode;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }
    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }
    public String getProccessTempleteId() {
        return proccessTempleteId;
    }

    public void setProccessTempleteId(String proccessTempleteId) {
        this.proccessTempleteId = proccessTempleteId;
    }
    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }


    @Override
    protected Serializable pkVal() {
        return this.processId;
    }

    @Override
    public String toString() {
        return "CostProjectTaskProccess{" +
            "processId=" + processId +
            ", projectId=" + projectId +
            ", plannedAuditStartDate=" + plannedAuditStartDate +
            ", plannedAuditEndDate=" + plannedAuditEndDate +
            ", status=" + status +
            ", currentNode=" + currentNode +
            ", createTime=" + createTime +
            ", createBy=" + createBy +
            ", updateTime=" + updateTime +
            ", updateBy=" + updateBy +
            ", proccessTempleteId=" + proccessTempleteId +
            ", taskId=" + taskId +
        "}";
    }
}
